﻿using Blazor_DotNet8_MovieApp.Models;
using Microsoft.EntityFrameworkCore;

namespace Blazor_DotNet8_MovieApp.Data
{
    public static class SeedData
    {
        public static void AddMovies(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 1,
                    Title = "Highlander",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/Highlander.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 2,
                    Title = "Godfather",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/Godfather.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );


            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 3,
                    Title = "Last of the Mohicans",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/LastOfTheMohicans.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 4,
                    Title = "Rear Window",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/RearWindow.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 5,
                    Title = "Road House",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/RoadHouse.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 6,
                    Title = "Star Treck IV",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/StarTreck4.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 7,
                    Title = "Mean Girls",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/MeanGirls.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 8,
                    Title = "Oppenheimer",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/Oppenheimer.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );

            modelBuilder.Entity<MovieModel>().HasData(
                new MovieModel
                {
                    Id = 9,
                    Title = "Barbie",
                    Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. ",
                    ImageUrl = "/images/movies/Barbie.png",
                    Review = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum vitae nunc risus. Cras sed ex augue. Etiam rutrum massa at enim sollicitudin scelerisque. Pellentesque dignissim, velit vitae lacinia"
                }
            );


        }
    }
}
